All resources All frames

# PasswordEditorFrame

This frame provides a mean for web site users to change their own password within a given realm. Allways attached to a PasswordEditor resource.

Warning: for obvious security reasons, when installed, that resource should be protected within the realm it edits.

## Inherits

The PasswordEditorFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame
- PostableFrame

## Attributes description

The PasswordEditorFrame defines the following attributes:

- realm

`realm`

semantics
  The realm within which user passwords should be edited when that resource is running. If undefined, the resource will emit an error in Jigsaw error log
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.resources.PasswordEditorFrame.html,v 1.2 1998/03/27 08:23:20 bmahe Exp $